import * as react_jsx_runtime from 'react/jsx-runtime';
import { SpacingProps } from '@versini/ui-private/dist/utilities';

declare const MAIN_CLASSNAME = "av-main";

type MainProps = {
	/**
	 * The children to render.
	 */
	children: React.ReactNode;
	/**
	 * CSS class(es) to add to the main component wrapper.
	 */
	className?: string;
	/**
	 * Whether or not to render the Main component with no styles.
	 * @default false
	 */
	raw?: boolean;
} & SpacingProps;

declare const Main: ({ children, className, raw, spacing, }: MainProps) => react_jsx_runtime.JSX.Element;

export { MAIN_CLASSNAME, Main };
